Captain Bezique:
Gracia is a kingdom across the west sea. All trade with Gracia has been interrupted since the war, but there was a time when scores of Gracian trading ships would frequent this harbor every day.
The Gracians were our friends, and no one imagined they could become such bloodthirsty demons in such a short time. When all is said and done, you cannot judge a person on outward manner alone.
Return